%global momorel 1

Name:		libfastjson
Version:	0.99.8
Release:	%{momorel}m%{?dist}
Summary:	A JSON implementation in C
License:	MIT
Group:		Development/Libraries
URL:		https://github.com/rsyslog/libfastjson
Source0:	http://download.rsyslog.com/libfastjson/libfastjson-%{version}.tar.gz
NoSource:       0

%description
LIBFASTJSON implements a reference counting object
model that allows you to easily construct JSON
objects in C, output them as JSON formatted strings
and parse JSON formatted strings back into the
C representation of JSON objects.

%package	devel
Summary:	Development files for libfastjson
Group:		Development/Libraries
Requires:	%{name}%{?_isa} = %{version}-%{release}

%description	devel
This package contains libraries and header files for
developing applications that use libfastjson.

%prep
%setup -q

for doc in ChangeLog; do
 iconv -f iso-8859-1 -t utf8 $doc > $doc.new &&
 touch -r $doc $doc.new &&
 mv $doc.new $doc
done

%build
export CFLAGS="$RPM_OPT_FLAGS -D_GNU_SOURCE" # temporary workaround for EPEL5, fixed upstream
%configure --enable-shared --disable-static

%install
rm -rf %{buildroot}

make V=1 DESTDIR=%{buildroot} install
find %{buildroot} -name '*.la' -delete -print

%clean
rm -rf %{buildroot}

%check
make V=1 check

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%{!?_licensedir:%global license %%doc}
%license COPYING
%doc AUTHORS ChangeLog README.html
%{_libdir}/libfastjson.so.*

%files devel
%{_includedir}/libfastjson
%{_libdir}/libfastjson.so
%{_libdir}/pkgconfig/libfastjson.pc

%changelog
* Mon Apr 23 2018 Yohsuke Ooi <meke@momonga-linux.org>
- (0.99.8-1m)
- update 0.99.8

* Wed Oct 25 2017 Yohsuke Ooi <meke@momonga-linux.org>
- (0.99.7-1m)
- update 0.99.7

* Fri Oct 21 2016 Yohsuke Ooi <meke@momonga-linux.org>
- (0.99.4-1m)
- initial commit Momonga Linux
- need rsyslog build

* Tue Sep 27 2016 Radovan Sroka <rsroka@redhat.com> - 0.99.4-1
- Package created
